> ## Documentation Index
> Fetch the complete documentation index at: https://docs.msgflash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GET Récupérer une instance

> Récupère le détail d'une instance par son identifiant.

## Endpoint

```txt theme={null}
GET /api/v1/instances/{id}
```

## Paramètres path

| Nom  | Type | Requis | Description      |
| ---- | ---- | ------ | ---------------- |
| `id` | UUID | oui    | ID de l'instance |

## Exemple de requête

```bash theme={null}
curl https://srv.msgflash.com/api/v1/instances/INSTANCE_ID \
  -H "x-api-key: msgf_live_your_api_key_here"
```

## Réponse succès `200`

```json theme={null}
{
  "data": {
    "id": "inst_uuid",
    "name": "boutique-principale",
    "waNumber": "+33612345678",
    "status": "connected",
    "webhook": null,
    "meta": null,
    "deletedAt": null,
    "createdAt": "2026-04-01T09:00:00.000Z",
    "updatedAt": "2026-04-01T09:10:00.000Z"
  }
}
```

## Erreurs courantes

| HTTP  | Code           | Quand                                        |
| ----- | -------------- | -------------------------------------------- |
| `401` | `UNAUTHORIZED` | Clé API absente ou invalide                  |
| `404` | `NOT_FOUND`    | Instance inexistante ou hors de votre compte |
